#!/bin/sh
export PATH="/mnt/utmp/owncloudsync/bin:${PATH:-"/usr/bin:/bin:/usr/local/bin"}"
export LD_LIBRARY_PATH="/mnt/utmp/owncloudsync/lib:${LD_LIBRARY_PATH:-"/usr/lib:/lib"}"
export HOME="/mnt/utmp/owncloudsync" XDG_CONFIG_HOME="/mnt/utmp/owncloudsync"

if [ -d /mnt/utmp/owncloudsync/share ];then
	export XDG_DATA_DIRS=/mnt/utmp/owncloudsync/share:$XDG_DATA_DIRS:/usr/share
fi
export SDL_AUDIODRIVER="alsa"
cd $HOME
[ -e "$HOME/scripts/pre_script.sh" ] && . $HOME/scripts/pre_script.sh
if [ -e "$HOME/scripts/post_script.sh" ];then
	./bin/owncloud $*
	. $HOME/scripts/post_script.sh
else
	exec ./bin/owncloud $*
fi
